TORRUS_LAUNCHER(7)

NAME
launcher - Torrus utility

SYNOPSIS
launcher --cmd=CMD options...

DESCRIPTION
This command is starting or stopping all needed Torrus daemons, and is designed to be used in the system startup/shutdown scripts.

OPTIONS

--cmd=CMD
    [Mandatory] Defines the action command. The following commands are supported:

    •   start

        Starts all required collectors and monitors

    •   stop

        Stops running collectors and monitors and waits for them to finish within certain timeout.

    •   status

        Prints the current status of collector and monitor daemons.

--user=NAME
    Changes the default user name that is used to run the daemons.

--copts=STRING
    Additional command-line arguments for collector daemon.

--mopts=STRING
    Additional command-line arguments for monitor daemon.

--timeout=N
    Changes the default time to wait for daemons to stop.

--force
    Causes the daemons to be killed with SIGKILL if they cannot be stopped within the normal timeout. As a result, the Torrus database would most probably be corrupted and require recovery.

--verbose
    print extra information to STDERR

--help
    Displays a help message.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>